# lnx-ms.c File Reference

`#include "inputstr.h"`
`#include "Xos.h"`
`#include <errno.h>`
`#include <termios.h>`
`#include "dmxinputinit.h"`
`#include "lnx-ms.h"`

## Data Structures

struct | _myPrivate

## Functions

void | msLinuxRead (DevicePtr pDev, MOTIONPROC motion, ENQUEUEPROC enqueue, CHECKPROC checkspecial, BLOCK block)
void | msLinuxInit (DevicePtr pDev)
int | msLinuxOn (DevicePtr pDev)
void | msLinuxOff (DevicePtr pDev)
void | msLinuxVTPreSwitch (pointer p)
void | msLinuxVTPostSwitch (pointer p)
pointer | msLinuxCreatePrivate (DeviceIntPtr pMouse)
void | msLinuxDestroyPrivate (pointer priv)
void | msLinuxGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)

## Detailed Description

This code implements a low-level device driver for a serial MS mouse. The code is derived from code by Juliusz Chroboczek and Keith Packard (see the source code for complete references).

## Function Documentation

pointer msLinuxCreatePrivate | ( | DeviceIntPtr | pMouse | ) |

| Create a private structure for use within this file.

void msLinuxDestroyPrivate | ( | pointer | priv | ) |

| Destroy a private structure.

void msLinuxGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void msLinuxInit | ( | DevicePtr | pDev | ) |

| Initialize pDev.

void msLinuxOff | ( | DevicePtr | pDev | ) |

| Turn pDev off (i.e., stop taking input from pDev).

int msLinuxOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void msLinuxRead | ( | DevicePtr | pDev,
|  | MOTIONPROC | motion,
|  | ENQUEUEPROC | enqueue,
|  | CHECKPROC | checkspecial,
|  | BLOCK | block
| ) |

| Read an event from the pDev device. If the event is a motion event, enqueue it with the motion function. Otherwise, check for special keys with the checkspecial function and enqueue the event with the enqueue function. The block type is passed to the functions so that they may block SIGIO handling as appropriate to the caller of this function.

void msLinuxVTPostSwitch | ( | pointer | p | ) |

| Currently unused hook called after returning from a VT switch.

void msLinuxVTPreSwitch | ( | pointer | p | ) |

| Currently unused hook called prior to an VT switch.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>